package cse403.aop;

public abstract class Thermometer
{
    private final Celsius source;
    
    public Thermometer(Celsius aSource)
    {
        source = aSource;
    }
    
    protected Celsius getSource()
    {
        return source;
    }

    public abstract void drawTemperature();
}