package cse403.java;

public abstract class Thermometer implements Observer
{
    private final Celsius source;

    public Thermometer(Celsius aSource)
    {
        source = aSource;
    }

    protected Celsius getSource()
    {
        return source;
    }

    public abstract void drawTemperature();

    /*
     * These are the code that was in aspects.
     */
    private Subject subject = null;

    public void update()
    {
        drawTemperature();
    }
    
    @Override
    public void setSubject(Subject aSubject)
    {
        subject = aSubject;
    }

    @Override
    public Subject getSubject()
    {
        return subject;
    }
}